# Function platformNativeChainIdToNetworkChain

- platformNativeChainIdToNetworkChain<P, CI>(platform, chainId): nativeChainIds.PlatformNativeChainIdToNetworkChainPair<P, CI>

- #### Type Parameters

  - #### P extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"

  - #### CI extends never

  #### Parameters

  - ##### platform: P

  - ##### chainId: Widen<CI>

  #### Returns nativeChainIds.PlatformNativeChainIdToNetworkChainPair<P, CI>

  - Defined in core/base/src/constants/nativeChainIds.ts:275

Generated using TypeDoc